#include "bits/stdc++.h"
#define ll long long
#define pb push_back
using namespace std;

void solve() {
    int n,m;
    cin>>n>>m;
    int a[n][m];
    for(int i=0;i<n;i++){
        for(int j=0;j<m;j++){
            cin>>a[i][j];
        }
    }
    for(int k=0;k<m;k++){
        int i=1;
        int j=k-1;
        while(i<n&&j>=0){
            a[0][k]=a[0][k]^a[i][j];
            i++;
            j--;
        }
    }
    for(int k=1;k<n;k++){
        int i=k+1;
        int j=m-2;
        while(i<n&&j>=0){
            a[k][m-1]=a[k][m-1]^a[i][j];
            i++;
            j--;
        }
    }
    ll x=0;
    for(int k=1;k<=1e9;k*=2){
        int pom=0;
        for(int j=0;j<m;j++){
            if(a[0][j]&k){
                pom++;
            }
        }
        for(int i=1;i<n;i++){
            if(a[i][m-1]&k){
                pom++;
            }
        }
        if(pom>=(m+n-1-pom)){
            x+=k;
        }
    }
    for(int j=0;j<m;j++){
        a[0][j]=a[0][j]^x;
    }
    for(int i=1;i<n;i++){
        a[i][m-1]=a[i][m-1]^x;
    }
    ll res=0;
    for(int j=0;j<m;j++){
        res+=a[0][j];
    }
    for(int i=1;i<n;i++){
        res+=a[i][m-1];
    }
    cout<<res<<endl;
}
int main () {
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int t=1;
    /*
    cin>>t;
    //*/
    while(t--) {
        solve();
    }
}